{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "0362a1eb-1e46-462a-b22c-f972c398741d",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-e3006ef8308b2f34",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# 10. Programmierübung: Datenanalyse\n",
    "\n",
    "<div style=\"display:flex;\">\n",
    "    <div style=\"text-align: left\">\n",
    "        Willkommen zur zehnten Programmierübung Einführung in Python 3.\n",
    "    </div>\n",
    "    <img style=\"float: right; margin: 0px 15px 15px 0px\" src=\"https://www.python.org/static/img/python-logo-large.c36dccadd999.png?1576869008\" width=\"100\" />\n",
    "</div>\n",
    "\n",
    "Wenn Sie Fragen oder Verbesserungsvorschläge zum Inhalt oder Struktur der Notebooks haben, dann können sie eine E-Mail an Phil Keier ([p.keier@hbk-bs.de](mailto:p.keier@hbk-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) oder Martin Le ([martin.le@tu-bs.de](mailto:martin.le@tu-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) schreiben.\n",
    "\n",
    "Link zu einem Python Spickzettel: [hier](https://s3.amazonaws.com/assets.datacamp.com/blog_assets/PythonForDataScience.pdf)\n",
    "\n",
    "Der Großteil des Python-Tutorials stammt aus der Veranstaltung _Deep Learning Lab_ und von [www.python-kurs.eu](https://www.python-kurs.eu/python3_kurs.php) und wurde für _Signale und Systeme_, sowie _Einführung in die Programmierung für Nicht Informatiker_ angepasst.\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0a97a824-bc2f-4f9d-a730-42ff05828cc8",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-a5071e148ad2227c",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Data Analysis\n",
    "\n",
    "In dieser & letzter Aufgabe ist dir das Datenset `survey.csv` gegeben. Diese Übung dient als Vorbereitung auf die abschließende Prüfung und wird dieshingehend auch streng bewertet. Jede Aufgabe setzt sich aus 6 Punkten zusammen von denen jeweils 4 auf den Schriftteil und 2 Punkte auf den Programmatischen Teil fallen. \n",
    "\n",
    "Gegeben ist immer eine Hypothese, beweise/widerlege die Hypothese und zeige auch die Gegenhypothese auf. Stelle zu jeder Aufgabe Annahmen an, Erkläre kurz dein Vorgehen, Interpretiere dein Ergebniss, Schließe mit einem angemessenen Fazit ab und erkläre jede von dir selbst erstellte Grafik. Gebe auch alle verwendeten Quellen die benutzt wurden an. \n",
    "\n",
    "Da zahlen nicht Aussagen gilt auch, dass sofern der Schriftteil nicht beantwortet wurde die Aufgabe mit 0 Punkten bewertet wird.\n",
    "\n",
    "Antworten sind in Englisch & Deutsch möglich andere Sprachen werden nicht akzeptiert.\n",
    "\n",
    "Die Daten stammen aus folgender Umfrage [Survey](https://forms.gle/JVKq6FrSUE8kN7Jq6).\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "ad9d17d9-dd59-4766-bb46-de4df822ce0f",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-3da446eb91bdd35d",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 1\n",
    "\n",
    "Der Kurs besteht überwiegend aus männlichen Individuum, welche überwiegend Windows verwenden und sich überpropotional als gute Programmierer einschätzen."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "8e24289e-a738-4ae4-a6d4-a936263120fc",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-a6a23c7c132e44d9",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "80cf1c27-644a-4538-abbc-7d5f524251d7",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-9cbb6c488a06eb18",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "171340b9-0302-4c7c-ac85-f81d1e57a9da",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-3fc34b3f943dfa4b",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 2\n",
    "\n",
    "Geisteswissenschaftliche Studierende neigen dazu das Betriebsystem Mac Os zu verwenden. Unteranderem wird auch angenommen, dass diese Gruppe überwiegend das Smartphone Betriebsystem Android verwendet. Daraus ableitend ist anzunehmen das diese Gruppe sich selbst als mittelmäßige Python Programmierer einschätzt."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "98fb0abc-0d50-4f4c-aeb0-16b056aeeabf",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-b28aca63b8048f70",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "7ae161df-8dd8-4828-99cc-3ba28d2bf9dd",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-016f2b30651bea18",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "3b77bda1-5851-4394-81c7-fd649cb980e5",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-fae767f8aab85e92",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 3\n",
    "\n",
    "Studierende aus gut situierten Haushalten neigen dazu Gruppenarbeiten an der Uni als schlecht einzuschätzen. Insbesondere dann wenn Sie sich selbst als Gute Programmierer einschätzen."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "0d74bd0d-e83e-4211-bc58-b9615e36b848",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-34a9cdeebcf2d7b9",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b9bb8c23-e161-492c-b1ee-9cc4c21c2325",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-81264718d58ae0f6",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "3fa617bb-77dd-4c43-b30b-b422eac770ef",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-d532947366781d90",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 4\n",
    "\n",
    "Personen die bereits strukturelle Benachteiligung erfahren haben sind meistens älter als der Durschnitt der Samplegruppe und in ärmlicheren Verhältnissen aufgewachsen. Ihr bevorzugtes Smartphone ist ein Samsung."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "id": "18467418-586b-4153-9066-0de730994e8e",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-5284bedc957436b3",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "3f5dace2-5a13-4806-946c-0d0e4c9bc307",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-90f0108fe83268c7",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "c6fdcfa2-5507-4c85-b262-c83e6b1074ee",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-6ace0ffb9a32d3b1",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## Hypothesis 5\n",
    "\n",
    "Jüngere Studierende betrachten die zurzeitige Politische Situation in Deutschland als schlecht. Unteranderem deshalb bewerten Sie Gruppenarbeiten als etwas gutes, da so ihr sozialer Zusammenhalt gestärkt wird"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "id": "5a76e273-a649-4bdf-ba8d-bc1351d0ec08",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-18c2e79244ca1beb",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "8bd2c8fa-801a-4c0a-8754-61bdc2f8127b",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-a421f0cc1a31c697",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
